package cas.client.springboot.demo;

import cas.client.springboot.demo.properties.CasProperties;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.security.Principal;

@RestController
@SpringBootApplication
public class CasClientDemoServer {

    public static void main(String[] args) {
        SpringApplication.run(CasClientDemoServer.class, args);
    }


    public CasClientDemoServer(CasProperties casProperties) {
        this.casProperties = casProperties;
    }

    private final CasProperties casProperties;

    @RequestMapping("/")
    public String index(Principal principal) {
        return "<h1>hello, " + principal.getName() + "</h1><a href=\"" + casProperties.getAppServerUrl() + "/" + casProperties.getAppLogoutUrl() + "\">退出<a/>";
    }
}
